<p align="center"><img width="128" height="128" src="https://i.imgur.com/uVpmR8l.png"></p>
<h1 align="center">Buster: Captcha Solver for Humans</h1>

<p align="center">
  </br></br>
  <a href="https://chrome.google.com/webstore/detail/buster-captcha-solver-for/mpbjkejclgfgadiemmefgebjfooflfhl">
    <picture>
      <source srcset="https://i.imgur.com/XBIE9pk.png" media="(prefers-color-scheme: dark)">
      <img height="58" src="https://i.imgur.com/oGxig2F.png" alt="Chrome Web Store"></picture></a>
  <a href="https://addons.mozilla.org/firefox/addon/buster-captcha-solver/">
    <picture>
      <source srcset="https://i.imgur.com/ZluoP7T.png" media="(prefers-color-scheme: dark)">
      <img height="58" src="https://i.imgur.com/4PobQqE.png" alt="Firefox add-ons"></picture></a>
  <a href="https://microsoftedge.microsoft.com/addons/detail/buster-captcha-solver-fo/admkpobhocmdideidcndkfaeffadipkc">
    <picture>
      <source srcset="https://i.imgur.com/Jog9cQP.png" media="(prefers-color-scheme: dark)">
      <img height="58" src="https://i.imgur.com/aiprUt8.png" alt="Microsoft Store"></picture></a>
  <a href="https://addons.opera.com/extensions/details/buster-captcha-solver-for-humans/">
    <picture>
      <source srcset="https://i.imgur.com/ziehy0f.png" media="(prefers-color-scheme: dark)">
      <img height="58" src="https://i.imgur.com/ytVATu0.png" alt="Opera add-ons"></picture></a>
  </br></br>
</p>

## Supporting the Project

The continued development of Buster is made possible
thanks to the support of awesome backers. If you'd like to join them,
please consider contributing with
[Patreon](https://armin.dev/go/patreon?pr=buster&src=repo),
[PayPal](https://armin.dev/go/paypal?pr=buster&src=repo) or
[Bitcoin](https://armin.dev/go/bitcoin?pr=buster&src=repo).

## Description

Buster is a browser extension which helps you to solve difficult captchas
by completing reCAPTCHA audio challenges using speech recognition.
Challenges are solved by clicking on the extension button at the bottom
of the reCAPTCHA widget.

> Obviously, this blue part here is the land.
>
> — <cite>Byron "Buster" Bluth, reading a map</cite>

## Motivation

reCAPTCHA challenges remain a considerable burden on the web,
delaying and often blocking our access to services and information
depending on our physical and cognitive abilities, our social
and cultural background, and the devices or networks we connect from.

The difficulty of captchas can be so out of balance,
that sometimes they seem friendlier to bots than they are to humans.

The goal of this project is to improve our experience on the web,
by giving us easy access to solutions utilized by automated systems.

## Client App

The client app enables you to simulate user interactions and improves
the success rate of the extension. Follow the instructions
from the extension's options to download and install the client app
on Windows, Linux and macOS, or get the app
from [this](https://github.com/dessant/buster-client#readme) repository.

## Screenshots

<p>
  <img width="380" src="https://i.imgur.com/hTqeN4z.png">
  <img width="380" src="https://i.imgur.com/o0qqDd5.png">
</p>

## License

Copyright (c) 2018-2023 Armin Sebastian

This software is released under the terms of the GNU General Public License v3.0.
See the [LICENSE](LICENSE) file for further information.
